/*
  Copyright (C) 2010  Thomas Schrøder
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  LICENSE.txt file for license details.
*/

////////////////////////////////////////////////////////////
// Instantiate your template declarations in this file
////////////////////////////////////////////////////////////

#include "rumd_algorithms.cu"

template void sumIdenticalArrays<float>( float*, unsigned, unsigned, unsigned ); 
template void sumIdenticalArrays<float4>( float4*, unsigned, unsigned, unsigned );

template std::string toString<unsigned long int>( unsigned long int, std::ios_base& (*f)(std::ios_base&) );

template void solveLinearSystems<float>( float*, float*, float*, unsigned*, unsigned );
